# Uses of Class
org.italiangrid.voms.request.VOMSErrorMessage

Packages that use VOMSErrorMessage
Package
Description
org.italiangrid.voms.request
This package provides the API for requesting VOMS attribtues from a remote VOMS server.
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSErrorMessage in org.italiangrid.voms.request

Methods in org.italiangrid.voms.request that return VOMSErrorMessage
Modifier and Type
Method
Description
`VOMSErrorMessage[]`
VOMSResponse.`errorMessages()`
Extracts the error messages from the VOMS response.
Methods in org.italiangrid.voms.request with parameters of type VOMSErrorMessage
Modifier and Type
Method
Description
`void`
VOMSRequestListener.`notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)`
Informs that errors were included in the VOMS response produced by a VOMS server

## Uses of VOMSErrorMessage in org.italiangrid.voms.request.impl

Methods in org.italiangrid.voms.request.impl that return VOMSErrorMessage
Modifier and Type
Method
Description
`VOMSErrorMessage[]`
LegacyVOMSResponse.`errorMessages()`
`VOMSErrorMessage[]`
RESTVOMSResponse.`errorMessages()`
Retrieves error messages from the response.

## Uses of VOMSErrorMessage in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type VOMSErrorMessage
Modifier and Type
Method
Description
`void`
NullListener.`notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)`